Documentation

Health

Calculate BMI

Calculates BMI from the user's latest height and weight measurements.

ProductionStagingUAT
GEThttps://ankiren.com/api/me/health/bmi

Responses

200 · BMI calculation result

  • bminumber?

    Calculated BMI value (rounded to 1 decimal)

    format: float
  • category"underweight" | "normal" | "overweight" | …

    BMI category classification:

    • underweight: BMI < 18.5
    • normal: 18.5 <= BMI < 25
    • overweight: 25 <= BMI < 30
    • obese: BMI >= 30
    enum: underweight, normal, overweight, obese
  • heightMeasurementSummary
    • valuenumberRequired

      Measurement value

      format: float
    • unitstringRequired

      Unit of measurement

    • measuredAtstring<date-time>Required

      When measured

      format: date-time
  • weightMeasurementSummary
    • valuenumberRequired

      Measurement value

      format: float
    • unitstringRequired

      Unit of measurement

    • measuredAtstring<date-time>Required

      When measured

      format: date-time
  • messagestring

    Message when BMI cannot be calculated

  • calculatedAtstring<date-time>

    When BMI was calculated

    format: date-time
application/json
{
  "bmi": 22.9,
  "category": "normal",
  "height": {
    "value": 175,
    "unit": "cm",
    "measuredAt": "2025-12-30T10:00:00Z"
  },
  "weight": {
    "value": 70,
    "unit": "kg",
    "measuredAt": "2025-12-31T10:30:00Z"
  },
  "calculatedAt": "2025-12-31T12:00:00Z"
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://ankiren.com/api/me/health/bmi' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'